Subject: Re: bug#65803: 29.1; Noto Sans Mono CJK JP has doubled-width on Windows

From: Po Lu <[email-masked]>
Date: Sun, 10 Sep 2023 20:09:08 +0800

Eli Zaretskii <[email-masked]> writes:

> That's what I tried.  The problem is, first time we open the fonts
> (which is when it's important to have the metrics of the default
> face's font), we are called from x-create-frame for the initial frame,
> and the frame's w32-specific attributes are not yet set.  The
> window-system for the frame is still "initial", and get_frame_dc
> aborts.

Can't font initialization be moved to a location slightly later in the
frame initialization process?  xfont_open uses the frame's X display
without ill effect.

Thanks.